## edu.stanford.nlp.international.morph
Enum MorphoFeatureSpecification.MorphoFeatureType

    java.lang.Object
      java.lang.Enum<MorphoFeatureSpecification.MorphoFeatureType>
          edu.stanford.nlp.international.morph.MorphoFeatureSpecification.MorphoFeatureType

All Implemented Interfaces:
  Serializable, Comparable<MorphoFeatureSpecification.MorphoFeatureType>

Enclosing class:
  MorphoFeatureSpecification

    public static enum MorphoFeatureSpecification.MorphoFeatureType

extends Enum<MorphoFeatureSpecification.MorphoFeatureType>

Enum Constant Summary
`ASP`
`CASE`
`DEF`
`GEN`
`MOOD`
`NUM`
`PER`
`POSS`
`TENSE`
`VOICE`

Method Summary
`static MorphoFeatureSpecification.MorphoFeatureType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MorphoFeatureSpecification.MorphoFeatureType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TENSE

    public static final MorphoFeatureSpecification.MorphoFeatureType TENSE

### DEF

    public static final MorphoFeatureSpecification.MorphoFeatureType DEF

### ASP

    public static final MorphoFeatureSpecification.MorphoFeatureType ASP

### MOOD

    public static final MorphoFeatureSpecification.MorphoFeatureType MOOD

### NUM

    public static final MorphoFeatureSpecification.MorphoFeatureType NUM

### GEN

    public static final MorphoFeatureSpecification.MorphoFeatureType GEN

### CASE

    public static final MorphoFeatureSpecification.MorphoFeatureType CASE

### PER

    public static final MorphoFeatureSpecification.MorphoFeatureType PER

### POSS

    public static final MorphoFeatureSpecification.MorphoFeatureType POSS

### VOICE

    public static final MorphoFeatureSpecification.MorphoFeatureType VOICE

Method Detail

### values

    public static MorphoFeatureSpecification.MorphoFeatureType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MorphoFeatureSpecification.MorphoFeatureType c : MorphoFeatureSpecification.MorphoFeatureType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MorphoFeatureSpecification.MorphoFeatureType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Stanford NLP Group